from setuptools import setup, find_packages

long_description = open("README.md").read()

setup(
        name='iotasecret',
        version='0.0.0.1',
        description='Send secrets using iota.',
        long_description=long_description,
        long_description_content_type="text/markdown",
        author_email='william.wyatt@cgu.edu',
        url='https://github.com/Tsangares/iotasecret',
        include_package_data=True,
        packages=find_packages(),
        install_requires=[
            'Adafruit-Blinka',
            'Adafruit-PlatformDetect',
            'Adafruit-PureIO',
            'certifi',
            'cffi',
            'chardet',
            'click',
            'cryptography',
            'distro',
            'httplib2',
            'idna',
            'itsdangerous',
            'jeepney',
            'Jinja2',
            'keyring',
            'launchpadlib',
            'lazr.restfulclient',
            'lazr.uri',
            'MarkupSafe',
            'oauthlib',
            'pbr',
            'phx-class-registry',
            'phx-filters',
            'pycparser',
            'pyftdi',
            'pyOpenSSL',
            'PyOTA',
            'PyOTA-CCurl',
            'PyOTA-PoW',
            'pyserial',
            'pysha3',
            'python-dateutil',
            'pytz',
            'pyusb',
            'regex',
            'requests',
            'SecretStorage',
            'six',
            'testresources',
            'urllib3',
            'wadllib',
            'Werkzeug',
            ],
        entry_points={
            'console_scripts': [
                'iotasecret = iotasecret.iotasecret',
                ]
            },
        classifiers=[
            "Programming Language :: Python :: 3",
            "License :: OSI Approved :: MIT License",
            "Operating System :: OS Independent",
        ],
        python_requires='>=3.7',
)
